Subject: Re: bug#59605: 29.0.50; gdb no more creates Gud menu entry for source file window
From: Eli Zaretskii <[email-masked]>
To: Stefan Monnier <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Mon, 28 Nov 2022 21:21:46 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Stefan Monnier <[email-masked]>
> Cc: martin rudalics <[email-masked]>,  [email-masked]
> Date: Mon, 28 Nov 2022 12:55:37 -0500
> 
> The immediate problem in the patch is that it removed
> 
>     (setf (alist-get 'gud-minor-mode minor-mode-map-alist)
>           gud-minor-mode-map)
> 
> without replacing it with anything else.
> Re-adding those 2 lines seems to bring back the previous behavior.

Thanks.  I could've sworn that I tried that and it didn't work, which is why
I decided this was because gud-minor-mode is not a proper minor mode.  But I
guess my testing was flawed, because it definitely does work.

So I've now made that change, and I'm closing this bug.